## Tcl8.6.2/Tk8.6.2 Documentation > Tk Commands, version 8.6.2 > chooseColor

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite3 Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

### NAME

tk_chooseColor — pops up a dialog box for the user to select a color.

### SYNOPSIS

tk_chooseColor ?option value ...?

### DESCRIPTION

The procedure tk_chooseColor pops up a dialog box for the user to select a color. The following option-value pairs are possible as command line arguments:

-initialcolor color
  Specifies the color to display in the color dialog when it pops up. color must be in a form acceptable to the Tk_GetColor function.

-parent window
  Makes window the logical parent of the color dialog. The color dialog is displayed on top of its parent window.

-title titleString
  Specifies a string to display as the title of the dialog box. If this option is not specified, then a default title will be displayed.

If the user selects a color, tk_chooseColor will return the name of the color in a form acceptable to Tk_GetColor. If the user cancels the operation, both commands will return the empty string.

### EXAMPLE

    button .b -bg [tk_chooseColor -initialcolor gray -title "Choose color"]

### KEYWORDS

color, color selection, dialog
Copyright © 1996 Sun Microsystems, Inc.